Welcome to LogMeIn Support!
Reset Search
Search

Article

System Requirements for browser-based remote control

« Go Back

Information

 
Answer
While we recommend connecting via the LogMeIn Client desktop app (download for Windows or Mac), you can still access LogMeIn host computers through your browser. Make sure your browser meets the following version requirements:
  • Internet Explorer 10 or newer
  • Firefox 35 or newer
  • Google Chrome 29 or newer
  • Safari 7 or newer (Mac only)

Note: On Internet Explorer and older versions of other leading browsers, a plugin is required for a full-featured experience.

Important: LogMeIn is designed for use with third-party products and services (browser, OS, etc.) that are officially supported by their respective vendors and well-maintained by the end user (latest patches and updates installed). See also: Compatibility with third-party products and services.

ProductLogMeIn Central; LogMeIn Pro

Is this article helpful?

 

   



Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255

 

Close X